Close

WordPress Releases a New Version 4.7.5 that Patches Six Security Issues

Hello WordPress Lovers, it’s time to Upgrade!

Today, WordPress released its latest version 4.7.5 which fixes six security issues. If you manage multiple websites, you must have seen a notice regarding the automatic update in your inbox today. WordPress is recommending to upgrade your version immediately in order to run your site without any security flaws. If you have enabled the automatic updates, your website may have already been upgraded to 4.7.5. Besides, if your WordPress website is powered by the versions older than 3.7, you will need to perform a manual update.

The following issues were fixed in WordPress 4.7.5 –

Security researchers on HackerOne found the issues patched in 4.7.5. If WordPress proceeds to get the same amount of reports on its HackerOne account, we will see more security releases and updates in the near future.

If you are facing problems regarding WordPress maintenance and customization, then simply fill our contact form and hire WordPress developer from our highly-professional team of developers and designers.

We’d Love to hear from you


Inquire Now